Bug 1440323 - Failed Ansible Playbook provision doesn't update status, started and completed fields.
Summary: Failed Ansible Playbook provision doesn't update status, started and complete...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Bill Wei
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Depends On: 1439667
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-07 22:19 UTC by Satoe Imaishi
Modified: 2017-05-31 14:50 UTC (History)
4 users (show)

Fixed In Version: 5.8.0.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1439667
Environment:
Last Closed: 2017-05-31 14:50:37 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-07 22:21:26 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/24448046b13741f0200c89a3c80c25eb40c6a230

commit 24448046b13741f0200c89a3c80c25eb40c6a230
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Fri Apr 7 12:01:12 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Apr 7 18:20:07 2017 -0400

    Merge pull request #14684 from bzwei/ensure_refresh
    
    Ensure job is refreshed in the condition of state machine exits on error
    (cherry picked from commit 3579c5110319dfeada4c4604e962b806ad31ae79)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1440323

 app/models/service_ansible_playbook.rb       | 10 +++++-----
 spec/models/service_ansible_playbook_spec.rb | 29 ++++++++++++++++++++++++----
 2 files changed, 30 insertions(+), 9 deletions(-)

Comment 3 Dmitry Misharov 2017-04-19 07:05:09 UTC
Verified in 5.8.0.10-beta1-nightly.20170414034628_b979a0b. Status, started and finished fields are updated.

Comment 5 errata-xmlrpc 2017-05-31 14:50:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.